%define name		libxxf86misc
%define version		1.0.4

%define major		1
%define libname		%mklibname xxf86misc %{major}
%define develname	%mklibname xxf86misc -d
%define staticname	%mklibname xxf86misc -d -s

Name:		%{name}
Summary:	XFree86 Misc Extension Library
Version:	%{version}
Release:	%mkrel 6
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86misc-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version


%description
XFree86 Misc Extension Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  XFree86 Misc Extension Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Misc Extension Library.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} >= %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname xxf86misc 1 -d}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXxf86misc.so
%{_libdir}/pkgconfig/xxf86misc.pc
%{_mandir}/man3/XF86Misc*.3*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xxf86misc 1 -d -s}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXxf86misc.a

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86misc-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXxf86misc.so.%{major}*


%changelog
* Wed Aug 02 2023 tex - 1.0.4-6pclos2023
- rebuild against updates

* Wed Jan 26 2022 tex - 1.0.4-5pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.0.4-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.0.4-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.0.4-2pclos2019
- rebuild against updates

* Wed Aug 01 2018 tex - 1.0.4-1pclos2018
- new version
